Bug 5459 - segfault
: segfault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/scrollkeeper)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-05 16:22 by
Modified: 2005-10-14 10:40 (History)


Attachments
strace log (763.48 KB, text/plain)
2004-11-05 16:33, Denis Ovsienko
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-05 16:22:26
280: gnome2-media-gmix      
########################################################################################
[ 85%]
/root/tmp/rpm-tmp.55655: line 2: 16235 Segmentation fault     
/usr/bin/scrollkeeper-update -q
281: gnome-applets-mixer    
########################################################################################
[ 85%]
/root/tmp/rpm-tmp.48258: line 7: 16242 Segmentation fault     
/usr/bin/scrollkeeper-update -q
282: gnome2-media-grecord   
########################################################################################
[ 86%]
/root/tmp/rpm-tmp.23132: line 2: 16250 Segmentation fault     
/usr/bin/scrollkeeper-update -q
283: gnome2-media-cddbslave 
########################################################################################
[ 86%]
284: gnome2-media-gcdplayer 
########################################################################################
[ 86%]
/root/tmp/rpm-tmp.86584: line 8: 16266 Segmentation fault     
/usr/bin/scrollkeeper-update -q
285: gnome2-utils-common    
########################################################################################
[ 87%]
286:
gnome2-utils-gnome-dicti########################################################################################
[ 87%]
/root/tmp/rpm-tmp.31869: line 2: 16274 Segmentation fault     
/usr/bin/scrollkeeper-update -q
287: gnome2-utils-gfloppy   
########################################################################################
[ 87%]
/root/tmp/rpm-tmp.24226: line 8: 16283 Segmentation fault     
/usr/bin/scrollkeeper-update -q
288:
gnome2-utils-gnome-syste########################################################################################
[ 88%]
/root/tmp/rpm-tmp.19236: line 8: 16293 Segmentation fault     
/usr/bin/scrollkeeper-update -q
289:
gnome2-utils-gdict-apple########################################################################################
[ 88%]
290:
gnome2-utils-gnome-searc########################################################################################
[ 88%]
/root/tmp/rpm-tmp.45112: line 8: 16307 Segmentation fault     
/usr/bin/scrollkeeper-update -q
------- Comment #1 From 2004-11-05 16:29:03 -------
Что говорит
# scrollkeeper-update
------- Comment #2 From 2004-11-05 16:33:57 -------
Created an attachment (id=637) [details]
strace log

# scrollkeeper-update 
Segmentation fault
# strace scrollkeeper-update 
(см. вложение)
------- Comment #3 From 2004-11-05 18:10:12 -------
У меня не падает.
Файл /usr/share/omf/gnome-utils/gfloppy-ja.omf (последний, рассмотренный перед
падением, не считая DTD) у меня тоже присутствует.

Какая версия scrollkeeper? libxml2?
Попробуйте временно убрать /usr/share/omf/gnome-utils/gfloppy-ja.omf и
воспроизвести падение.
Неплохо бы пересобрать scrollkeeper*.rpm с --enable debug и получить core.
------- Comment #4 From 2004-11-15 19:07:17 -------
для gnome-ppp тоже наблюдается:
/root/tmp/rpm-tmp.85875: line 2: 15114 Segmentation fault
/usr/bin/scrollkeeper-update
в логе установки.
------- Comment #5 From 2005-10-14 03:20:43 -------
На данный момент не наблюдается. Видимо, FIXED.